import { UseKmenuReturnType } from '../types';
/**
 * Utilities for using kmenu.
 *
 * @returns {string} The current input in the active command menu
 * @returns {Dispatch<SetStateAction<string>>} The setter function for setting the text in the command menu
 * @returns {number} The index of the currently active command menu
 * @returns {Dispatch<SetStateAction<number>>} The setter function for setting the open menu index
 * @returns {() => void} A function for toggling the state of the palette
 */
export declare const useKmenu: () => UseKmenuReturnType;
