import { UseInViewProps } from '../types';
/**
 * A hook to check if a given element is in view inside a div.
 *
 * @param {React.RefObject<HTMLSpanElement>} ref - The ref of the element we are checking
 * @returns {boolean} Whether or not the given element is in view
 */
declare const useInView: ({ ref }: UseInViewProps) => boolean;
export default useInView;
